<template>
    <div>
        <a-button type="primary" icon="plus" style="float: right" @click="downloadExcel">新增</a-button>
        <a-button type="primary" icon="download" style="float: right" @click="downloadExcel">导出Excel</a-button>
        <a-button type="primary" class="search_btn" icon="search" @click="searchList">搜索</a-button>
        <a-button style="margin-left: 10px" icon="close" @click="restSearchForm">清空</a-button>
    </div>
</template>

<script>
    export default {
        name: "commonCode",
        methods: {
            searchList() {
                //确认提示框
                this.$confirm({
                    title: 'Do you Want to delete these items?',
                    content: "",
                    onOk() {
                        console.log('OK');
                    },
                    onCancel() {
                        console.log('Cancel');
                    },
                    class: 'test',
                });
                this.$message.success('This is a success message');
                this.$message.error('This is an error message');
                this.$message.warning('This is a warning message');
            },
            downloadExcel() {

            },
            restSearchForm() {
            }
        }
    }
</script>

<style scoped>

</style>
